<template>
  <div>
    <Aside />
    <div
      id="kt_wrapper"
      class="wrapper d-flex flex-column flex-row-fluid"
    >
      <NavBar />
      <div
        id="kt_content"
        class="content d-flex flex-column flex-column-fluid mt-0 pt-0"
      >
        <router-view
          v-slot="{ Component }"
          name="content"
        >
          <transition
            name="fade"
            mode="out-in"
          >
            <component :is="Component" />
          </transition>
        </router-view>
      </div>
    </div>
  </div>
</template>
<script>
import NavBar from "@/components/plantilla/NavBar";
import Aside from "@/components/plantilla/Aside";
import router from "@/router";

export default {
  name: 'AppHomeView',
  components: {
    NavBar, Aside
  },
  beforeCreate() {
    if(localStorage.getItem('token') === undefined || localStorage.getItem('token') === null) {
      router.push('/')
    }
  }
}
</script>

<style lang="css">
  .slide-enter-active,
  .slide-leave-active {
    transition: opacity 1s, transform 1s;
  }
  .slide-enter-from,
  .slide-leave-to {
    opacity: 0;
    transform: translateX(-30%);
  }
</style>

<style lang="scss">
#app {
  font-family: Poppins,Helvetica,sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
}

nav {
  padding: 30px;

  a {
    font-weight: bold;
    color: #2c3e50;

    &.router-link-exact-active {
      color: #42b983;
    }
  }
}
</style>
